Fix ruby 2.7 warning: The last argument is used as the keyword parameter
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Description

I run rake test on ruby 2.7, there are several warnings about keyword argument.

I fix it by adding `**`.

Related issues:

Related to Redmine - Feature #31500: Ruby 2.7 support Closed

Associated revisions

Revision 19454 - 2020-01-23 16:42 - Go MAEDA

Fix ruby 2.7 warning: The last argument is used as the keyword parameter (#32542, #31500).

Patch by Seiei Miyagi.

History

#1 - 2019-12-02 08:56 - Mischa The Evil

Just my two cents on this: given all the reverts in the 2.7 pre-releases, I'd suggest to wait with the commit of this patch until a 2.7 final release.

#2 - 2019-12-02 09:08 - Seiei Miyagi

- File 0001-Fix-ruby-2.7-warning-The-last-argument-is-used-as-th.patch added

I updated the patch.

Change **options.merge(other: opt) to **options, other: opt.

#3 - 2019-12-02 09:11 - Seiei Miyagi

- File 0001-Fix-ruby-2.7-warning-The-last-argument-is-used-as-th.patch added

#4 - 2019-12-03 09:17 - Go MAEDA

- Related to Feature #31500: Ruby 2.7 support added

#5 - 2020-01-23 16:43 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed as a part of #31500. Thank you.

Files

0001-Fix-ruby-2.7-warning-The-last-argument-is-used-as-th.patch 3.47 KB 2019-12-02 Seiei Miyagi

0001-Fix-ruby-2.7-warning-The-last-argument-is-used-as-th.patch 3.45 KB 2019-12-02 Seiei Miyagi

0001-Fix-ruby-2.7-warning-The-last-argument-is-used-as-th.patch 3.45 KB 2019-12-02 Seiei Miyagi
